Skip to content

Resync From Run

POST
/integrations/crm-sync/resync/{run_id}

Re-run a prior CRM sync with the same scope. THIS WRITES TO OR READS FROM THE CRM. Returns the queued job.

Authorizations

Parameters

Path Parameters

run_id
required

The run id from /crm-sync/history.

integer

The run id from /crm-sync/history.

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required

Sync-run history, a re-sync acceptance, the list-sync grid of a connection or its field access.

object
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string